/** media query **/
@media (min-width: 1366px) and (max-width: 1600px){
    .color-options-wrap .card .feature-icon {
        flex-shrink: 0;
    }   
}

@media (min-width: 1200px) and (max-width: 1420px){
.step-box .step-text h4 {
    font-size: 18px;
    line-height: 25px;
}
.step-box .step-img img {
    width: 100px;
}
}

@media (min-width: 1200px) and (max-width: 1366px){
    .color-options-wrap .card .feature-icon {
        flex-shrink: 0;
    }   
}

@media (min-width: 1024px) and (max-width: 1200px){
    .categories-box ul {
        flex-wrap: wrap;
        justify-content: center;
    }
      .categories-box ul li {
        width: calc(17% + 30px);
    }
    .color-options-wrap .card .feature-icon {
        flex-shrink: 0;
    }
    .step-box {
    flex-direction: column;
}
.step-box .step-img img {
    width: 100px;
}

.step-text:before, .step-text:after{
display: none;
}
}


@media (min-width: 992px) and (max-width: 1024px){
    .categories-box ul {
        flex-wrap: wrap;
        justify-content: center;
    }
    .step-box {
    flex-direction: column;
}
.step-box .step-img img {
    width: 100px;
}

.step-text:before, .step-text:after{
display: none;
}

      .categories-box ul li {
        width: calc(17% + 30px);
    }
    .color-options-wrap .card .feature-icon {
        flex-shrink: 0;
    }
    .color-options-wrap .card {
        flex-direction: column;
    }
    .color-options-wrap .card .color-options-text {
        text-align: center;
    }
    .perfect-space-list ul {
        flex-wrap: wrap;
        gap: 15px;
}
    .perfect-space-list ul li {
        border-right: transparent;
        width: calc(33% - 10px);
    }
}

@media (min-width: 768px) and (max-width: 992px){
  .blog-details .content-style-one .post-share {
    float: left;
}
.step-box {
    flex-direction: column;
}
.step-box .step-img img {
    width: 100px;
}
.step-box .step-text h4 br {
    display: none;
    line-height: 34px;
}
.step-text:before, .step-text:after{
display: none;
}
.perfect-space-list ul {
        flex-wrap: wrap;
        gap: 15px;
}
    .perfect-space-list ul li {
        border-right: transparent;
        width: calc(33% - 10px);
    }
.blog-page .sidebar .sidebar-post h5 {
    line-height: 18px;
    font-size: 14px;
}
.container {
    max-width: 90%;
}
.contact-us-box {
    max-height: 100%;
    min-height: 100%;
}
.banner-wrap h2 {
    font-size: 30px;
    letter-spacing: 6.8px;
}
.banner-wrap h1 {
    font-size: 90px;
}
.categories-box ul {
        flex-wrap: wrap;
        justify-content: center;
    }
    .categories-box ul li {
        width: calc(17% + 30px);
    }
.make-your-life-wrap {
    flex-direction: column;
}
.make-your-life-text h2 {
    margin-bottom: 20px;
    line-height: 60px;
    text-align: center;
    font-size:36px
}
section.make-your-life-sec {
    padding: 60px 0px;
}
.step-box .step-text h4 {
    font-size: 18px;
}
.border-right:before {
    right: 12px;
}
.easy-step-title h2 {
    font-size: 36px;
}
.sliding-wrap h2 {
    font-size: 36px;
}
footer .col-md-4 {
    flex: 0 0 50%;
    max-width: 50%;
}
footer .col-md-2 {
    flex: 0 0 50%;
    max-width: 50%;
}
    footer .col-md-3 {
    flex: 0 0 50%;
    max-width: 50%;
}
.color-options-wrap .card .feature-icon {
    flex-shrink: 0;
}
.color-options-wrap .card {
    flex-direction: column;
}
.color-options-wrap .card .color-options-text {
    text-align: center;
}
}





@media(max-width: 993px){
.navbar-toggler:focus {
    box-shadow: none;
}
    .offcanvas-header .btn-close {
    opacity: 1;
    border-radius: 100px;
    margin-top: -12px;
    margin-right: -3px;
    padding: 10px;
}

ul.sub-menu li {
    flex: 1 1 45%;
    display: flex;
    align-items: center;
    padding: 10px !important;
    background-color: #f9f9f9;
    transition: background-color 0.3s ease, transform 0.2s ease;
    cursor: pointer;
}

ul.sub-menu li {
    padding: 6px 10px;
}

ul.sub-menu li:last-child {
    border: transparent;
}

ul.sub-menu li a {
    color: #000;
    text-transform: uppercase;
}

ul.sub-menu {
    padding: 0px !important;
}
.offcanvas .mega-menu,
.offcanvas .sub-menu {
  display: none;
  padding-left: 15px;
}

.offcanvas .mega-menu.open,
.offcanvas .sub-menu.open {
  display: block;
}
.offcanvas-header h5.offcanvas-title a.navbar-brand img {
    filter: brightness(0);
    width: 90px;
}
.nav-wrap ul.navbar-nav > li > a {
    color: #000;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 10px !important;
}

.nav-wrap ul.navbar-nav > li {
    border-bottom: 1px solid #ccc;
}

.offcanvas-header {
    border-bottom: 1px solid #ccc;
    padding: 10px 10px;
}
.offcanvas-body {
    padding: 0px;
}
ul.mega-menu {
    background: #f2f2f2;
    padding: 0px !important;
}

ul.mega-menu li a img {
    width: 30px;
}

ul.mega-menu li a {
    display: flex;
    justify-content: flex-start;
    gap: 10px;
}

ul.mega-menu li {
    padding: 6px 10px;
    border-bottom: 1px solid #ccccccad;
}

ul.mega-menu li a p {
    color: #000 !important;
}

ul.mega-menu li:last-child {
    border: transparent;
}
.offcanvas .sub-menu,
.offcanvas .mega-menu {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.4s ease; 
}

.offcanvas .sub-menu.open,
.offcanvas .mega-menu.open {
  max-height: 1000px; 
}

.mega-menu {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  padding: 10px;
  background-color: #fff;
  border-top: 1px solid #ddd;
  list-style: none;
  margin: 0;
}


.mega-menu li {
  flex: 1 1 45%;
  display: flex;
  align-items: center;
  padding: 10px;
  background-color: #f9f9f9;

  transition: background-color 0.3s ease, transform 0.2s ease;
  cursor: pointer;
}


.mega-menu li:hover {
  background-color: #ececec;
  transform: translateY(-2px);
}


.mega-menu li a {
  display: flex;
  align-items: center;
  text-decoration: none;
  color: #333;
  width: 100%;
}


.mega-menu li img {
  width: 40px;
  height: 40px;
  margin-right: 10px;
  object-fit: contain;
}


.mega-menu li p {
  margin: 0;
  font-size: 14px;
  font-weight: 400;
  text-transform: uppercase;
}
}





@media(max-width: 767px){
.banner-wrap h2 {
    font-size: 25px;
    letter-spacing: 6px;
}
.step-box .step-text h4 br {
    display: none;
}
.step-text:before, .step-text:after {
   display: none;
}
section.banner-sec{
    overflow: hidden;
}
.category-wrapper {
    overflow: hidden;
}
.sliding-door.door3 {
    width: auto;
    height: 100%;
    right: 0;
    z-index: 9;
 display: block;
}
section.door-sliding-sec2 {
    display: none;
}   
.three-door-container-rack {
    position: relative;
    width: 100%;         
    max-width: 544px;   
    margin: 0 auto;
    overflow: hidden;
}
.contact-us-box p {
    line-height: 25px;
}
.contact-form-wrap {
    margin-top: 50px;
}
.contact-form-wrap form {
    padding: 20px;
}
section.contact-form-sec {
    padding-top: 0px;
}
section.contact-us-sec .col-md-4:last-child .contact-us-box {
    margin-bottom: 0px;
}
.contact-us-box {
    max-height: fit-content;
    min-height: fit-content;
    margin-bottom: 20px;
}
.banner-wrap h1 {
    font-size: 80px;
}
section.banner-sec {
    padding: 98px 0px;
}
.banner-wrap p {
    font-size: 18px;
}
.categories-box ul li {
    width: calc(17% + 30px);
}
.categories-box ul {
    flex-wrap: wrap;
    justify-content: center;
}
.container {
    max-width: 98%;
}
.sliding-wrap h2 {
    font-size: 36px;
}
section.categories-sec {
    overflow: hidden;
}
section.categories-sec {
    padding: 40px 0px;
}
.categories-box ul li h2 {
    font-size: 18px;
}
.categories-box ul li figure {
    margin: 0 auto 10px;
}
.navbar-brand img {
    width: 120px;
}
.footer-logo {
    padding-bottom: 30px;
}
section.blogs-sec .col-md-3 {
    flex: 0 0 50%;
    max-width: 50%;
}
section.blogs-sec .row .row {
    row-gap: 30px;
}

.border-right:before{
  display:none
}
.make-your-life-text h2 {
    font-size: 36px;
}
.easy-step-title h2 {
    font-size: 36px;
}
.make-your-life-wrap{
    flex-direction: column;
}
.make-your-life-text h2 {
    text-align: center;
    margin-bottom: 30px;
    line-height: 52px;
}
section.make-your-life-sec {
    padding: 50px 0px;
}
section.easy-step-sec .col-md-6 .col-md-6 {
    flex: 0 0 50%;
    max-width: 50%;
}
.easy-step-title {
    text-align: center;
}
.step-box .step-img{
    margin: 0 auto;
}
.step-box .step-text{
    margin: 0 auto;
}
section.easy-step-sec .col-md-6:last-child .easy-step-title {
    margin-top: 60px;
}
.why-choose-wrap ul li:first-child {
    padding-top: 10px;
}
.why-choose-wrap ul li {
    width: calc(50% - 10px);
    border: 1px solid #c6c4c2;
    padding: 10px;
    border-radius: 10px;
}
.why-choose-wrap ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 20px;
}
.step-box {
    border: 1px solid #ccc5c3;
    padding: 10px;
    border-radius: 10px;
    flex-direction: column;
}
.pivot-door-wrap .pivot-door1 {
    top: 16%;
    width: 171px;
    left: 30%;
    height: 383px;
}
.telescope-door-wrap {
   width: 100%;
}
.sycro-door-wrap {
    width: 100%;
}
.why-choose-wrap ul li span{
    flex-shrink: 0;
}
.why-choose-wrap ul li p {
    font-size: 14px;
    line-height: 25px;
}
.step-box .step-text h4 {
    font-size: 18px;
}
.why-choose-wrap ul li h4 {
    font-size: 18px;
}
.testimonials-box {
    padding: 30px 10px 10px;
}
.home-page.faq .faq-container {
    margin-bottom: 30px;
}
section.faq-sec.home-page.faq .col-md-6:last-child  .faq-container {
    margin-bottom: 0px;
}
.why-choose-wrap ul li .choose-inner-box {
    align-items: flex-start;
    flex-direction: column;
}
section.easy-step-sec .row .row {
    row-gap: 25px;
}
.category-section {
    padding: 40px 0px;
}
.view-all-blog {
    margin-top: 10px;
}
.home-page.faq .sliding-wrap {
    flex-wrap: wrap;
}

header {
    padding: 10px 0px;
}
section.door-sliding-sec2 .door-container2 img.frame.frame-mid-left{
    height: 100%;
}

.door2 {
    width: auto;
    height: 100%;
}
section.mission-sec .col-md-6:nth-child(3) {
    order: 3;
}
.mission-wrap .content {
    margin-top: 20px;
}
section.inner-banner-sec {
    padding: 100px 0px  60px;
}
.about-wrap h2 {
    font-size: 40px;
}
.mission-wrap .content h2 {
    font-size: 40px;
}
.mission-wrap {
    margin-bottom: 60px;
}

section.mission-sec .col-md-6:nth-child(3) .mission-wrap {
    margin-bottom: 0px;
}
.inner-wrap {
    margin-top: 30px;
}
.color-options-wrap .card {
    justify-content: center;
    flex-direction: column;
}
.color-options-wrap .card .color-options-text {
    text-align: center;
}
section.benefits-sec .col-md-4 {
    flex: 0 0 50%;
    max-width: 50%;
}
section.benefits-sec .feature-box {
    height: 100%;
}
.inner-about-img{
    margin-right: 0px;
}
.inner-about-img figure img {
    width: 100%;
}
.perfect-space-list ul li {
    border-right: transparent;
    width: calc(33% - 10px);
}
.perfect-space-list ul {
    flex-wrap: wrap;
    gap: 15px;
}
section.benefits-sec{
    padding-bottom: 0px !important;
}
section.inner-banner-sec .inner-banner-wrap h1 {
    font-size: 36px;
}
.blog-details .content-style-one .post-share {
    top: 0;
    float: left;
}
.blog-details .content-style-one .post-share-option {
    margin-top: 20px;
}
.blog-page .sidebar {
    margin-left: 0px;
}
.blog-details .content-style-one .tag-list .list, .blog-details .content-style-one .tag-list {
    display: block;
}
p.comment-form-cookies-consent {
    display: flex;
    gap: 10px;
    align-items: baseline;
}
.blog-details {
    padding: 60px 0px;
}
section.google-map-sec {
    padding-top: 0px;
}

} 




@media(max-width: 575px){
section.benefits-sec .col-md-4 {
    flex: 0 0 100%;
    max-width: 100%;
}
.perfect-space-list ul li {
        width: calc(50% - 10px);
    }
.perfect-space-list ul li p {
    font-size: 16px;
}
.threesixtyone-door-wrap .threesixtyone-door1 {
    right: 40.7%;
    width: auto;
    height: 66%;
}
.material-card img {
    width: 100%;
}
.pivot-door-wrap .pivot-door1 {
    top: 16%;
    width: auto;
    left: 30.5%;
    height: 66%;
}
.magic-door-wrap .magic-door1 {
    width: auto;
    left: 26%;
    height: 73%;
}
 .categories-box ul li figure {
    width: 90px;
    height: 90px;
} 
.telescope-door-wrap {
   width: 100%;
}
.sycro-door-wrap {
    width: 100%;
}
.threesixtyone-door-wrap {
   width: 100%;
}
.pivot-door-wrap {
    width: 100%;
}
.magic-door-wrap {
   width: 100%;
}
.hinge-door-wrap {
    width: 100%;
}
section.blogs-sec .col-md-3 {
    flex: 0 0 50%;
    max-width: 50%;
}
.footer-heading {
    margin-bottom: 30px;
}
.categories-box ul li h2 {
    font-size: 15px;
}

.categories-box ul li figure {
    margin: 0 auto 10px;
}
.categories-box ul {
    gap: 10px;
}
.categories-box ul li {
    width: calc(15% + 30px);
}
}


@media(max-width: 480px){
     .banner-wrap h2 {
        font-size: 22px;
        letter-spacing: 4px;
    }
    .about-wrap h2 {
        font-size: 36px !important;
        }
    .mission-wrap .content h2 { 
            font-size: 36px !important;
        }
   .magic-door-wrap .magic-door1 {
        top: 40px;
    }
    .why-choose-wrap ul {
        justify-content: center;
    }
    .why-choose-wrap ul li {
        text-align: center;
    }
.why-choose-wrap ul li .choose-inner-box{
    margin: 0 auto 20px;
}
    .why-choose-wrap ul li span {
    margin: 0 auto;
}
    .step-box .step-img img {
    width: 90px;
}
.make-your-life-text h2 {
        font-size: 26px;
        line-height: 42px;
    }
      .why-choose-wrap ul li {
        width: calc(100% - 10px);
   }
    section.easy-step-sec .col-md-6 .col-md-6 {
    flex: 0 0 100%;
    max-width: 100%;
    }
      .banner-wrap h1 {
        font-size: 64px;
    }
   .categories-box ul li {
        width: calc(13% + 36px);
    }
     .categories-box ul li h2 {
        font-size: 14px;
    }
      .mega-menu li {
    flex: 1 1 100%; 
   }
    .offcanvas-header {
        padding: 10px !important;
    }
    .sliding-wrap h2 {
        font-size: 26px;
        line-height: 42px;
    }
        .easy-step-title h2 {
        font-size: 26px;
    }
}

@media(max-width: 426px){
    .categories-box ul li {
        width: calc(10% + 28px);
    }
    .categories-box ul li figure {
        width: 70px;
        height: 70px;
    }
    .categories-box ul li {
        width: calc(15% + 28px);
    }
}

@media(max-width: 400px){
    .categories-box ul li {
        width: calc(14% + 28px);
    }
    section.blogs-sec .col-md-3 {
        flex: 0 0 100%;
        max-width: 100%;
    }
}

@media(max-width: 380px){
    .banner-wrap h2 {
        font-size: 20px;
        letter-spacing: 3px;
    }
    .blog-page .sidebar .sidebar-post h5 {
      font-size: 16px;
   }
  .blog-details .content-style-one h3 {
    font-size: 20px;
}

    .banner-wrap h1 {
        font-size: 54px;
    }
      .banner-wrap p {
        font-size: 16px;
    }
    .perfect-space-list ul li {
        width: calc(100% - 10px);
    }
}

@media(max-width: 360px){
    .banner-wrap h2 {
        font-size: 18px;
        letter-spacing: 2px;
    }
   .banner-wrap h1 {
        font-size: 44px;
    } 
       .categories-box ul li {
        width: calc(13% + 28px);
    }
        .categories-box ul li h2 {
        font-size: 11px;
    }
}



